<% @page_title = "Add picture to #{@picture.gallery.name}" %>

<% content_for 'tasks' do %>
  <li>
    <%= link_to 'List of Pictures', admin_pictures_url %>
  </li>
  <li>
    <%= link_to "Show gallery #{@picture.gallery.name}", admin_gallery_url(@picture.gallery) %>
  </li>
  <li>
    <%= link_to "Edit gallery #{@picture.gallery.name}", edit_admin_gallery_url(@picture.gallery) %>
  </li>
<% end %>

<h2>Manage Pictures</h2>

<%= error_messages_for :picture %>

<h3>Add Pictures</h3>

<% form_for([:admin, :gallery, @picture], :html => { :multipart => true }) do |f| %>
  <fieldset class="set admin" style="display:block;">
    <ul>
      <li>
        <label class="float" for="gallery_id">Gallery :</label>
        <%= @picture.gallery.name %>
        <%= f.hidden_field :gallery_id, :value => @picture.gallery.id%>
      </li>
      <li>
        <label class="block" for="title">Title :</label>
        <%= f.text_field :title %>
      </li>
      <li>
        <label class="block" for="description">Description :</label>
        <%= f.text_area :description, :style => 'width : 100%' %>
      </li>
      <li>
        <label class="float" for="status">Status :</label>
        <%= f.check_box :status %>
      </li>
      <li>
        <label class="float" for="uploaded_data">File : </label>
        <%= f.file_field :uploaded_data %>
      </li>
      <li class="r">
        <%= f.submit 'Save &#187;', {:class=>'submit'} %>
      </li>
    </ul>
  </fieldset>
<% end %>

<%= link_to "Back to editing of galleries #{@picture.gallery.name}", edit_admin_gallery_path(@picture.gallery) %>
